Page 1 of 5 123 ... LastLast
Results 1 to 10 of 47

Thread: upgrade from 15.2 to 15.3 via usb stick only graphic login

  1. #1

    Default upgrade from 15.2 to 15.3 via usb stick only graphic login

    on my laptop TUXEDO InfinityBook Pro 15 v4, ssd disk=2Tb, /home EXT3 partition=58Gb, processor= Intel Core i7-8565U, RAM=32Gb, graphics card Model: "Intel UHD Graphics 620 (Whiskey Lake)" with tri boot leap 15.2, leap 15.3, windows 10
    I upgraded my leap 15.2 to 15.3 via usb stick offline upgrade but I have only text login, I can login as user but no graphic login, also in recovery mode I have only text login.
    how can I solve and have a working leap 15.3?

  2. #2
    Join Date
    Jun 2011
    Location
    Germany
    Posts
    351

    Default Re: upgrade from 15.2 to 15.3 via usb stick only graphic login

    Hi,

    I'd first check if the repos all are set to 15.3:
    Code:
    zypper lr -u
    If not, change them to 15.3. Did you update after the offline upgrade?
    Code:
    sudo zypper up
    At last check the drivers. I'm not totally sure, which are inevitable but since my laptop is an optimus with intel some of this should be there:
    (I'm on 15.2, so you need other versions, of course)
    Code:
    kasi@pluto:~> LANG=C zypper se -s intel  
    Loading repository data... 
    Reading installed packages... 
    
    S  | Name                     | Type       | Version                              | Arch   | Repository 
    ---+--------------------------+------------+--------------------------------------+--------+-------------------------------- 
       | intel-SINIT              | package    | 2.3-lp152.4.2                        | noarch | Haupt-Repository (OSS) 
       | intel-cmt-cat            | package    | 2.0.0-lp152.4.8                      | x86_64 | Haupt-Repository (OSS) 
       | intel-gpu-tools          | package    | 1.23-lp152.2.9                       | x86_64 | Haupt-Repository (OSS) 
       | intel-hybrid-driver      | package    | 1.0.2-lp152.3.7                      | x86_64 | Haupt-Repository (OSS) 
    i  | intel-media-driver       | package    | 19.2.1-lp152.3.3                     | x86_64 | Haupt-Repository (OSS) 
    i  | intel-vaapi-driver       | package    | 2.4.0-lp152.1.4                      | x86_64 | Haupt-Repository (OSS) 
       | intel-vaapi-driver-32bit | package    | 2.4.0-lp152.1.4                      | x86_64 | Haupt-Repository (OSS) 
       | intelhex                 | package    | 1.5-lp152.3.3                        | x86_64 | Haupt-Repository (OSS) 
    i  | libdrm_intel1            | package    | 2.4.100-lp152.1.4                    | x86_64 | Haupt-Repository (OSS) 
    i  | libdrm_intel1-32bit      | package    | 2.4.100-lp152.1.4                    | x86_64 | Haupt-Repository (OSS) 
       | libvulkan_intel          | package    | 19.3.4-lp152.27.1                    | x86_64 | Haupt-Repository (OSS) 
       | libvulkan_intel-32bit    | package    | 19.3.4-lp152.27.1                    | x86_64 | Haupt-Repository (OSS) 
    i+ | ucode-intel              | package    | 20210525-lp152.2.17.1                | x86_64 | Hauptaktualisierungs-Repository 
    v  | ucode-intel              | package    | 20210216-lp152.2.14.1                | x86_64 | Hauptaktualisierungs-Repository 
    v  | ucode-intel              | package    | 20201118-lp152.2.11.1                | x86_64 | Hauptaktualisierungs-Repository 
    v  | ucode-intel              | package    | 20201118-lp152.2.8.1                 | x86_64 | Hauptaktualisierungs-Repository 
    v  | ucode-intel              | package    | 20200616-lp152.1.1                   | x86_64 | Haupt-Repository (OSS) 
       | ucode-intel              | srcpackage | 20210525-lp152.2.17.1                | noarch | Hauptaktualisierungs-Repository 
       | ucode-intel              | srcpackage | 20210216-lp152.2.14.1                | noarch | Hauptaktualisierungs-Repository 
       | ucode-intel              | srcpackage | 20201118-lp152.2.11.1                | noarch | Hauptaktualisierungs-Repository 
       | ucode-intel              | srcpackage | 20201118-lp152.2.8.1                 | noarch | Hauptaktualisierungs-Repository 
       | xf86-video-intel         | package    | 2.99.917+git8674.25c9a2fcc-lp152.3.7 | x86_64 | Haupt-Repository (OSS) 
       | xf86-video-intel-32bit   | package    | 2.99.917+git8674.25c9a2fcc-lp152.3.7 | x86_64 | Haupt-Repository (OSS) 
    kasi@pluto:~>
    
    I guess ucode-intel, libdrm_intel1, intel-vaapi-driver and intel-media-driver must be there.

    Edit: You can also do this with YaST in CLI, just run "yast" as root.
    Last edited by kasi042; 23-Jun-2021 at 12:25. Reason: YaST

  3. #3

    Default Re: upgrade from 15.2 to 15.3 via usb stick only graphic login

    Quote Originally Posted by kasi042 View Post
    Hi,

    I'd first check if the repos all are set to 15.3:
    Code:
    zypper lr -u
    If not, change them to 15.3. Did you update after the offline upgrade?
    Code:
    sudo zypper up
    At last check the drivers. I'm not totally sure, which are inevitable but since my laptop is an optimus with intel some of this should be there:
    (I'm on 15.2, so you need other versions, of course)
    [CODE]kasi@pluto:~> LANG=C zypper se -s intel

    I guess ucode-intel, libdrm_intel1, intel-vaapi-driver and intel-media-driver must be there.

    Edit: You can also do this with YaST in CLI, just run "yast" as root.
    checked, all repositories are for 15.3
    zypper up says nothing to do
    I don't understand what to do here:
    [CODE]kasi@pluto:~> LANG=C zypper se -s intel

    I guess ucode-intel, libdrm_intel1, intel-vaapi-driver and intel-media-driver must be there.

    Edit: You can also do this with YaST in CLI, just run "yast" as root.[/QUOTE]

  4. #4
    Join Date
    Jun 2011
    Location
    Germany
    Posts
    351

    Default Re: upgrade from 15.2 to 15.3 via usb stick only graphic login

    Quote Originally Posted by pier_andreit View Post
    I don't understand what to do here:
    [CODE]kasi@pluto:~> LANG=C zypper se -s intel

    I guess ucode-intel, libdrm_intel1, intel-vaapi-driver and intel-media-driver must be there.

    Edit: You can also do this with YaST in CLI, just run "yast" as root.
    Sorry for not being clear. I was suggesting to check what driver packages you have installed and showed mine as comparison.
    Try
    Code:
    zypper se -s intel
    My understanding is that at least these packages are required:

    Code:
    i  | intel-media-driver  | Intel Media Driver for VAAPI                                | package 
    i  | intel-vaapi-driver  | Intel Driver for Video Acceleration (VA) API for Linux      | package 
    i  | libdrm_intel1       | Userspace interface for Kernel DRM services for Intel chips | package 
    i+ | ucode-intel         | Microcode Updates for Intel x86/x86-64 CPUs                 | package
    
    If they are installed in your system you should see the "i" at the beginning of the line.
    You can also use
    Code:
    zypper se -is intel
    which will only show the installed packages.
    If a package is missing, try
    Code:
    sudo zypper in {missing-package}
    If there was a missing driver then try rebooting.

  5. #5

    Default Re: upgrade from 15.2 to 15.3 via usb stick only graphic login

    Quote Originally Posted by kasi042 View Post
    Sorry for not being clear. I was suggesting to check what driver packages you have installed and showed mine as comparison.
    Try
    Code:
    zypper se -s intel
    My understanding is that at least these packages are required:

    Code:
    i  | intel-media-driver  | Intel Media Driver for VAAPI                                | package 
    i  | intel-vaapi-driver  | Intel Driver for Video Acceleration (VA) API for Linux      | package 
    i  | libdrm_intel1       | Userspace interface for Kernel DRM services for Intel chips | package 
    i+ | ucode-intel         | Microcode Updates for Intel x86/x86-64 CPUs                 | package
    
    If they are installed in your system you should see the "i" at the beginning of the line.
    You can also use
    Code:
    zypper se -is intel
    which will only show the installed packages.
    If a package is missing, try
    Code:
    sudo zypper in {missing-package}
    If there was a missing driver then try rebooting.
    manythanks kasi :-) I tried and it seems that the packages that you intend as minimun required are installed, I see a repository that 15.3 upgrade automatically installed
    Update repository with updates from SUSE Linux Enterprise 15
    I don't know if it is relevant.
    here is the output of
    Code:
    zypper se -s intel > /home/pla/zypper.intel
    I used > command becouse I don't know how to copy the screen in a text file
    Code:
    Loading repository data...Reading installed packages...
    
    
    S  | Name                     | Type       | Version                         | Arch   | Repository
    ---+--------------------------+------------+---------------------------------+--------+-------------------------------------------------------------
       | intel-SINIT              | package    | 2.3-2.17                        | noarch | Main Repository
       | intel-cmt-cat            | package    | 2.0.0-5.17                      | x86_64 | Main Repository
       | intel-gpu-tools          | package    | 1.23-10.63                      | x86_64 | Main Repository
       | intel-hybrid-driver      | package    | 1.0.2-bp153.1.12                | x86_64 | Main Repository
    i+ | intel-media-driver       | package    | 20.3.0-1.41                     | x86_64 | Main Repository
    i  | intel-vaapi-driver       | package    | 2.4.1-1.62                      | x86_64 | Main Repository
       | intel-vaapi-driver-32bit | package    | 2.4.1-1.62                      | x86_64 | Main Repository
       | intelhex                 | package    | 1.5-bp153.1.12                  | x86_64 | Main Repository
    i  | kernel-firmware-intel    | package    | 20210208-2.4                    | noarch | Main Repository
    i+ | libdrm_intel1            | package    | 2.4.104-1.12                    | x86_64 | Main Repository
    i+ | libdrm_intel1-32bit      | package    | 2.4.104-1.12                    | x86_64 | Main Repository
       | libvulkan_intel          | package    | 20.2.4-57.12                    | x86_64 | Main Repository
       | libvulkan_intel-32bit    | package    | 20.2.4-57.12                    | x86_64 | Main Repository
    v  | ucode-intel              | package    | 20210525-7.1                    | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
    v  | ucode-intel              | package    | 20210525-3.203.1                | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
    v  | ucode-intel              | package    | 20210525-3.67.1                 | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
    i+ | ucode-intel              | package    | 20210216-2.19.1                 | x86_64 | Main Repository
    v  | ucode-intel              | package    | 20210525-7.1                    | i586   | Update repository with updates from SUSE Linux Enterprise 15
    v  | ucode-intel              | package    | 20210525-3.203.1                | i586   | Update repository with updates from SUSE Linux Enterprise 15
    v  | ucode-intel              | package    | 20210525-3.67.1                 | i586   | Update repository with updates from SUSE Linux Enterprise 15
       | ucode-intel              | srcpackage | 20210525-7.1                    | noarch | Update repository with updates from SUSE Linux Enterprise 15
       | ucode-intel              | srcpackage | 20210525-3.203.1                | noarch | Update repository with updates from SUSE Linux Enterprise 15
       | ucode-intel              | srcpackage | 20210525-3.67.1                 | noarch | Update repository with updates from SUSE Linux Enterprise 15
       | xf86-video-intel         | package    | 2.99.917+git8674.25c9a2fcc-5.19 | x86_64 | Main Repository
       | xf86-video-intel-32bit   | package    | 2.99.917+git8674.25c9a2fcc-5.19 | x86_64 | Main Repository

  6. #6

    Default Re: upgrade from 15.2 to 15.3 via usb stick only graphic login

    this is the output of
    Code:
    zypper se -s intel > /home/pla/zypper.intel.tw
    in the working leap15.2 on the same hardware if it can help
    Code:
    Loading repository data...Reading installed packages...
    
    
    S  | Name                        | Type       | Version                              | Arch   | Repository
    ---+-----------------------------+------------+--------------------------------------+--------+--------------------------------
       | intel-SINIT                 | package    | 2.3-lp152.196.1                      | noarch | suse-/security(ike-scan)
       | intel-SINIT                 | package    | 2.3-lp152.4.2                        | noarch | Main Repository
       | intel-SINIT                 | srcpackage | 2.3-lp152.196.1                      | noarch | suse-/security(ike-scan)
       | intel-clear-sans-fonts      | package    | 1.00-lp152.1.1                       | noarch | suse-M17N:/fonts
       | intel-clear-sans-fonts      | srcpackage | 1.00-lp152.1.1                       | noarch | suse-M17N:/fonts
       | intel-cmt-cat               | package    | 2.0.0-lp152.4.8                      | x86_64 | Main Repository
       | intel-gpu-tools             | package    | 1.24-lp152.6.3                       | x86_64 | suse-home:/Dead_Mozay(megasync)
       | intel-gpu-tools             | package    | 1.23-lp152.2.9                       | x86_64 | Main Repository
       | intel-gpu-tools             | srcpackage | 1.24-lp152.6.3                       | noarch | suse-home:/Dead_Mozay(megasync)
       | intel-gpu-tools-debuginfo   | package    | 1.24-lp152.6.3                       | x86_64 | suse-home:/Dead_Mozay(megasync)
       | intel-gpu-tools-debugsource | package    | 1.24-lp152.6.3                       | x86_64 | suse-home:/Dead_Mozay(megasync)
       | intel-hybrid-driver         | package    | 1.0.2-lp152.3.7                      | x86_64 | Main Repository
    i  | intel-media-driver          | package    | 19.2.1-lp152.3.3                     | x86_64 | Main Repository
    i  | intel-vaapi-driver          | package    | 2.4.0-lp152.1.4                      | x86_64 | Main Repository
       | intel-vaapi-driver-32bit    | package    | 2.4.0-lp152.1.4                      | x86_64 | Main Repository
       | intelhex                    | package    | 1.5-lp152.3.3                        | x86_64 | Main Repository
    i  | libdrm_intel1               | package    | 2.4.100-lp152.1.4                    | x86_64 | Main Repository
       | libdrm_intel1-32bit         | package    | 2.4.100-lp152.1.4                    | x86_64 | Main Repository
       | libvulkan_intel             | package    | 19.3.4-lp152.27.1                    | x86_64 | Main Repository
       | libvulkan_intel-32bit       | package    | 19.3.4-lp152.27.1                    | x86_64 | Main Repository
    i+ | ucode-intel                 | package    | 20210525-lp152.2.17.1                | x86_64 | Main Update Repository
    v  | ucode-intel                 | package    | 20210216-lp152.2.14.1                | x86_64 | Main Update Repository
    v  | ucode-intel                 | package    | 20201118-lp152.2.11.1                | x86_64 | Main Update Repository
    v  | ucode-intel                 | package    | 20201118-lp152.2.8.1                 | x86_64 | Main Update Repository
    v  | ucode-intel                 | package    | 20200616-lp152.1.1                   | x86_64 | Main Repository
       | ucode-intel                 | srcpackage | 20210525-lp152.2.17.1                | noarch | Main Update Repository
       | ucode-intel                 | srcpackage | 20210216-lp152.2.14.1                | noarch | Main Update Repository
       | ucode-intel                 | srcpackage | 20201118-lp152.2.11.1                | noarch | Main Update Repository
       | ucode-intel                 | srcpackage | 20201118-lp152.2.8.1                 | noarch | Main Update Repository
       | xf86-video-intel            | package    | 2.99.917+git8674.25c9a2fcc-lp152.3.7 | x86_64 | Main Repository
       | xf86-video-intel-32bit      | package    | 2.99.917+git8674.25c9a2fcc-lp152.3.7 | x86_64 | Main Repository

  7. #7
    Join Date
    Jul 2018
    Location
    Loma Linda, Mo
    Posts
    562

    Default Re: upgrade from 15.2 to 15.3 via usb stick only graphic login

    Just for the sake that the graphics chip is defective ( I have found a few intel 630 not to work right in gen 8 CPU's with 15.3 that worked fine in 15.2)

    Add to the linux line at boot to the end of that line i915.modeset=0 - that fixed the defective ones to use a different video driver.

    looks something like these 2 one for BIOS and the other for UEFI boot - what you have may be different

    linux /boot/vmlinuz-5.3.18-59.5-default root=UUID=a2fe727a-9492-4a23-b8c0-ed348b9c2118 resume=/dev/sda2 splash=verbose showopts i915.modeset=0

    or

    linuxefi /boot/vmlinuz-5.3.18-59.5-default root=UUID=868bf3ab-5299-495e-8104-fee60868253f splash=verbose showopts nouveau.modeset=0 net.ifnames=0 usbcore.autosuspend=-1 i915.modeset=0
    OpenSUSE 15.3 with VirtualBox VM's (XP, 10, Ubuntu MATE 20.04, OpenSUSE 15.3, Tumbleweed)
    Pi4 with Ubuntu MATE 20.04
    Unix since 1974 (pdp-11, Interdata, AT&T, Tandy, Convergent, Sun, IBM, NCR, and HP)
    Linux since 1995 (Mandrake, Fedora, CentOS, OpenSUSE)

  8. #8

    Default Re: upgrade from 15.2 to 15.3 via usb stick only graphic login

    manythanks to everybody, it seems solved adding nomodeset to the linux line at boot as indicated in this thread
    https://forums.opensuse.org/showthre...2-no-GUI/page2
    tried also i915.modeset=0 as larryr suggested but didn't work

  9. #9
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    3,011
    Blog Entries
    1

    Default Re: upgrade from 15.2 to 15.3 via usb stick only graphic login

    Quote Originally Posted by pier_andreit View Post
    manythanks to everybody, it seems solved adding nomodeset to the linux line at boot
    That's not a solution. It's a troubleshooting workaround if your GPU is Intel or AMD, or of you're using FOSS drivers for an NVidia GPU. X performance using the fallback drivers forced by disabling KMS is dismal.
    https://forums.opensuse.org/showthre...-driver-primer
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 15.2, +TW, 15.3, 15.1 & 13.1 on Haswell
    Secondary: eComStation (OS/2) &15.2 on i965P w/ Radeon
    Tertiary: Mageia,Fedora,Debian,more on Kaby Lake,iQ45,iQ43,iG41,iG3X,i965G,AMD,NVidia&&&&&

  10. #10

    Default Re: upgrade from 15.2 to 15.3 via usb stick only graphic login

    Quote Originally Posted by mrmazda View Post
    That's not a solution. It's a troubleshooting workaround if your GPU is Intel or AMD, or of you're using FOSS drivers for an NVidia GPU. X performance using the fallback drivers forced by disabling KMS is dismal.
    https://forums.opensuse.org/showthre...-driver-primer
    manythanks mrmazda :-) so if I get correctly for my Intel UHD Graphics 620 (Whiskey Lake) I have to:
    uninstalling the xorg-x11-driver-video package and whichever xf86-video-* package (searching "xorg-x11-driver-video" and "xf86-video-" on yast is ok?)
    install the
    modesetting (DDX) software (searching "modesetting" and "DDX" on yast is ok?)
    try if it works
    uninstall the modesetting (DDX) software
    install xf86-video-* for i915 plus intel (DDX) (searching "i915" and "DDX" on yast is ok?)
    try if it works better or not and adopt the better one
    is it correct?

Page 1 of 5 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •